> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取文件类别下的表格列表

> 获取指定文件类别下配置的所有表格



## OpenAPI

````yaml /docflow/cn/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/category/tables/list
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API，提供文件上传和获取文件处理结果能力
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/category/tables/list:
    get:
      tags:
        - 文件类别
      summary: 获取文件类别下的表格列表
      description: 获取指定文件类别下配置的所有表格
      operationId: listCategoryTables
      parameters:
        - name: workspace_id
          in: query
          description: 空间ID
          required: true
          schema:
            type: string
            example: '1234567890'
        - name: category_id
          in: query
          description: 文件类别ID
          required: true
          schema:
            type: string
            example: '1234567890'
      responses:
        '200':
          description: 成功获取文件类别表格列表
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          tables:
                            type: array
                            description: 表格列表
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: 表格ID
                                  example: '1234567890'
                                name:
                                  type: string
                                  description: 表格名称
                                  example: 表格1
                                prompt:
                                  type: string
                                  description: 表格语义抽取提示词
                                  example: 请抽取每行的品名、数量和金额
                                collect_from_multi_table:
                                  type: boolean
                                  description: 多表合并
                                  example: true
                                extract_model:
                                  type: string
                                  description: 表格级抽取模型（Auto/Acgpt/Acgpt-VL/DF-M1）
                                  example: Acgpt
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: 状态码
          example: 200
        msg:
          type: string
          description: 状态描述
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````